Subject: Re: bug#8510: 24.0.50; lexbind problem (apparently): void-variable symbol

From: Tassilo Horn <[email-masked]>
Date: Sat, 16 Apr 2011 19:36:45 +0200

"Drew Adams" <[email-masked]> writes:

Hi Drew,

>> Your description sounds very similar to an issue I had with 
>> anything.el when switching to the (now merged) lexbind branch.
>> The issue was that some advice tried to access one arg of the
>> adviced function by its name.
>
> You might be right that it is in my code (dunno), but if so I don't
> think it has to do with the problem you mention.  The problem you
> mention is, I think, bug #8457 (which has reportedly been fixed, BTW).

Yes, right.

> I do not use defadvice in this way in my code anywhere (anymore) - I
> use only `ad-get-arg'.  And in the Icicles code I use defadvice in
> only two minor places, neither of which accesses an argument (by name
> or otherwise).

Yes, the code can be anywhere.  For me, the problem was in anything, but
the symptom occured also with M-x describe-*.  I'd grep thru all elisp
files I have installed for defadvices and check them.

Bye,
Tassilo